/* find given html file
 */
#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>
#include <stdlib.h>

static   char   file[1024];
 
 char *findHtmlFile(char *name, char *guiLanguage)
 {
   char  *myCastel = getenv("HOME");
   char   home[1024];
   char   localDir[1024];
   char **dir;
   char  *dirs [] = {
       localDir,
       "/usr/local/share/doc/CanonUtil",
       "/usr/local/share/doc",
       "/usr/local/doc/CanonUtil",
       "/usr/local/doc",
       "/usr/local/CanonUtil",
       "/usr/share/doc/CanonUtil",
       "/usr/share/doc",
       "/usr/doc/CanonUtil",
       "/usr/doc",
       "/opt/CanonUtil",
       "/usr/CanonUtil",
       "/usr/local/lib/CanonUtil",
       "/usr/lib/CanonUtil",
       home,
       NULL
    };
 
   getcwd(localDir, sizeof(localDir));
   home[0] = '\0';
   if ( myCastel )
      sprintf(home,"%s/CanonUtil",myCastel);

   /* look for the Canon_LL.html file */
   dir = dirs;
   while( dir[0] && guiLanguage )
   {
      sprintf(file,"%s/%s_%s.html", dir[0],name,guiLanguage);
      if ( access(file,R_OK) == 0 )
      {
         return file;
      }
      dir++;
   }
   
   /* look for default file */
   dir = dirs;
   while( dir[0] )
   {
      sprintf(file,"%s/%s.html", dir[0], name);
      if ( access(file,R_OK) == 0 )
      {
         return file;
      }
      dir++;
   }
   /* not found */
   return NULL;
}

#if defined(__cplusplus) || defined(c_plusplus)
}
#endif
